Bug 64301 - Cannot view package profiles
Cannot view package profiles
Status: CLOSED RAWHIDE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Chip Turner
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 18:02 EDT by Matt Jamison
Modified: 2016-09-30 03:45 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-01 18:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64301 master MERGED Live Merge: Teardown volume on HSM after live merge 2016-09-29 17:30 EDT
oVirt gerrit 64985 ovirt-4.0 MERGED Live Merge: Teardown volume on HSM after live merge 2016-10-10 09:42 EDT

  None (edit)
Description Josef Komenda 2002-05-01 18:02:56 EDT
Description of Problem: Tried to access
/network/system/package_profile.pxt?sid=1000010000
and received 500 error. See traceback:

Version-Release number of selected component (if applicable): see bug 63780

=========
Traceback
=========

The following exception occured while executing this request:
 GET /network/system/package_profile.pxt?sid=1000010000 HTTP/1.1 (from browser)
 /network/system/package_profile.pxt (from Apache)

Date:
  Wed May  1 17:56:35 2002

Headers:
  Accept: text/xml, application/xml, application/xhtml+xml, text/html;q=0.9,
image/png, image/jpeg, image/gif;q=0.2, text/plain;q=0.8, text/css, */*;q=0.1
  Accept-Charset: ISO-8859-1, utf-8;q=0.66, *;q=0.66
  Accept-Encoding: gzip,deflate,compress,identity
  Accept-Language: en
  Connection: keep-alive
  Cookie: pxt_session=7xa0eae0dfd45ab5b514acab95343e3703;
rh_auth_token=1:1020290192xe19eb27ff4074e4d89f6d33b09bcfd07
  Host: satellite.webdev-colo.redhat.com
  Keep-Alive: 300
  Referer:
http://satellite.webdev-colo.redhat.com/network/system/system_details.pxt?sid=1000010000
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; Galeon) Gecko/20010901

Form variables:
  sid => 1000010000

User Information:
  User joe_sat_1 (id 1, org_id 1)

Error notes:
  (none)

Initial Request:
  Yes

Error message:
  RHN::Exception: DBD::Oracle::db prepare failed: ORA-00942: table or view does
not exist (DBD ERROR: OCIStmtExecute/Describe) at
/usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm line 31.

  RHN::DB /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB.pm 32
RHN::DB::objectify_error
  RHN::DB::Profile /usr/lib/perl5/site_perl/5.6.1/i386-linux/RHN/DB/Profile.pm
337 RHN::DB::prepare
  Sniglets::Profiles
/usr/lib/perl5/site_perl/5.6.1/i386-linux/Sniglets/Profiles.pm 401
RHN::DB::Profile::compatible_with_server
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 119
Sniglets::Profiles::profile_comparison_choice
  PXT::Parser /usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/Parser.pm 57
PXT::Parser::expand_tag
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 631
PXT::Parser::expand_tags
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48
PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.6.1/i386-linux/PXT/ApacheHandler.pm 48 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)

Offending Query: SELECT DISTINCT P.id, P.name
  FROM rhnServer S,
       rhnServerProfile P
 WHERE P.org_id = S.org_id
   AND S.id = ?
   AND EXISTS (SELECT 1
                 FROM rhnServerChannel SC
                WHERE SC.server_id = S.id
                  AND SC.channel_id = P.base_channel)
Comment 1 Josef Komenda 2002-05-09 10:44:35 EDT
Fixed on QA - Closing.

Note You need to log in before you can comment on or make changes to this bug.